<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bGastos,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>
	

<HTML>
	<%	m05bFileLog miLog = new m05bFileLog();
		m05bComun comun = new m05bComun();
		String m05bCalendarEstilo = comun.leerPropiedad("m05bEstilos.Calendario");  %>
		<%=m05bCalendarEstilo%>
<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titVehGastos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
			
		<!-- Calendarios -->
		<%	String m05bCalendarScripts = comun.leerPropiedad("m05bScripts.Calendario");  %>
		<%=m05bCalendarScripts%>
			
		<SCRIPT language="JavaScript">	
			function fncGrabar(codigo,accion,desde,hasta, hDesde, hHasta) {
				var docu = document.formGastos;
				if (accion != "E") {
				    var vImporte=docu.Importe.value;
					if (vImporte == ""){
							alert(dameAlerta(idioma, 195));
							return false;
					} else if (esVacio(docu.Fecha.value)){
							alert(dameAlerta(idioma, 196));
							return false;
					} else if ( (!(comparaFechas(desde, docu.Fecha.value))) || (!(comparaFechas(docu.Fecha.value,hasta)))  ) {
							alert(dameAlerta(idioma, 197));
							return false;
					} else if (FechasIguales(desde, docu.Fecha.value) && !(ComparaHorasIgual(hDesde,docu.Hora.value))) {
			                     alert(dameAlerta(idioma, 198));
			                     return false;
					} else if (FechasIguales(docu.Fecha.value,hasta) && !(ComparaHorasIgual(docu.Hora.value,hHasta))){
			                     alert(dameAlerta(idioma, 199));
			                     return false;
		            //} else if ((docu.Concepto.value == "C") && (docu.Litros.value == "")){
			                     //alert(dameAlerta(idioma, 200));
			                     //return false;
		            }
					if (esVacio(docu.Cargo.value)){
							alert(dameAlerta(idioma, 201));
							return false;
					} else if (esVacio(docu.Concepto.value)){
							alert(dameAlerta(idioma, 202));
							return false;
					} else {
					        var Hoy = new Date();
					        var dia=Hoy.getDate();
					        var mes=Hoy.getMonth();
					        mes++;
					        var ejer=Hoy.getYear();
					        var actual = dia + "/" + mes + "/" + ejer
					        if (!(comparaFechas(docu.Fecha.value, actual))) {					        
					        	alert(dameAlerta(idioma, 203));
								return false;
					        }
				    }
				}
				docu.Tarjeta.disabled=false;
				docu.Matricula.disabled=false;
				formatearFecha(docu.Fecha);
				docu.action="m05bGrabarGastosServlet?Codigo=" + codigo + "&Accion=" + accion;
				docu.submit();
			}
		</SCRIPT>
</head>
<BODY  style="cursor: wait" onLoad="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
<%		String codigo = request.getParameter("Codigo");
		String matricula=request.getParameter("Matricula");
%>
<FORM NAME="formGastos" METHOD="POST">
		<%

		String sql = "", accion, sHora="", sFecha="";
		
		
		String hastad = (String) session.getAttribute("PDFFDevolucion");
		String hHastad = (String) session.getAttribute("PDFHDevolucion");
		String desde = (String) session.getAttribute("GastosDesde");
		String hasta = (String) session.getAttribute("GastosHasta");
		String hDesde = (String) session.getAttribute("GastosHDesde");
		String hHasta = (String) session.getAttribute("GastosHHasta");
		
		if (!(hastad.equals(""))){
		           hasta=hastad;
		           hHasta=hHastad;
		}
		
		m05bCombo miCombo= new m05bCombo();
		m05bGastos gastos = null;

		if ( (codigo==null) || (codigo.equals("")) || (codigo.equals("NUEVO")) ) {
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bGastos");
		}
		else   {
			accion=m05bConstantes.ACC_ACTUALIZAR;
			gastos = (m05bGastos)session.getAttribute("m05bGastos");

		    sFecha=gastos.getGas_fgasto();
		    sFecha=sFecha.trim();
		    if (sFecha==null || sFecha.equals(""))
		        sFecha="";
		    else {
		        sHora=comun.Hora(sFecha);
		        sHora=comun.formatearHora(sHora);
		        sFecha=comun.Mes(sFecha);
		    }
		}
		if (gastos == null) {
			gastos = new m05bGastos();
			session.setAttribute("m05bGastos",gastos);
		}
		String tarjeta=gastos.getGas_tarjeta();
		if ((tarjeta == null) || (tarjeta.equals(""))) {  // Recuperar la tarjeta a partir de la matricula
			m05bCamposInformes miTarjeta = new m05bCamposInformes();
			tarjeta=miTarjeta.getTarjeta(matricula);
		}
		String importe = gastos.getGas_importe();
		if ((importe == null) || (importe.equals("")) ) { 
			importe="";
		}

		String cargabon=gastos.getGas_cargo()==null?"":gastos.getGas_cargo();
		String concepto=gastos.getGas_codcpto()==null?"":gastos.getGas_codcpto();
		String sCIF = gastos.getGas_estbcif()==null?"":gastos.getGas_estbcif();
		String sKM = gastos.getGas_kilometros()==null?"":gastos.getGas_kilometros();
		String sLitros = gastos.getGas_litros()==null?"":gastos.getGas_litros();
		String sComercio = gastos.getGas_estnombre()==null?"":gastos.getGas_estnombre();
		
	    String finalizada=request.getParameter("Finalizada")==null ? "N":request.getParameter("Finalizada");

		%>
			<!--      BOTONERA  --> 
		  <TABLE class="buscar">
			<tr>
			    <td width="80%" align="right">
			    	<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:history.back();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
			    </td>
			<% //if (finalizada.equals("N")) { %>
			    <td width="10%" align="right">
			    	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=m05bConstantes.ACC_ELIMINAR%>','<%=desde%>','<%=hasta%>','<%=hDesde%>','<%=hHasta%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
			    </td>
			    <td width="10%" align="right">
			    	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=accion%>','<%=desde%>','<%=hasta%>','<%=hDesde%>','<%=hHasta%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
			    </td>
			<% //} %>
			</tr>
		  </TABLE>
			
		  <!--input type="hidden" name="CodAsig" value="<%//=request.getParameter("CodAsig")%>"-->
		  <TABLE class="buscar">
		    <tr>
		      <td width="40%" align="left" class="inputFieldTitle"><%= res.getString("etTarjeta")%></td>
		      <td width="60%" align="left" class="inputFieldTitle" colspan="4"><%= res.getString("etMatricula")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Tarjeta" VALUE="<%=tarjeta%>" disabled size="20" maxlength="20"/></td>
		      <td align="left" colspan="4"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Matricula" VALUE="<%=matricula%>" disabled size="20" maxlength="20"/></td>
		    </tr>
		    <tr>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
		      <td colspan="4" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Importe" VALUE="<%=importe%>" size="15" maxlength="8" onblur="javascript:formatNumeroDecimal(this,8,2);return false;"/></td>
		      <td align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Fecha" VALUE="<%=sFecha%>" size="10" onblur="javascript:formatearFecha(this);return false;"/></td>
		      <td align="left" width="10%"><a href='#' name='anchorFecha' onClick='JavaScript:showCalendar("anchorFecha","cast",document.all("Fecha"),true,25,10,2002);return false;'onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif'/></td>
		      <td align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Hora" VALUE="<%=sHora%>" size="10" onblur="javascript:formatearHora(this);return false;"/></td>
		      <td></td>
		    </tr>
		    <tr>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCifEstablecimiento")%></td>
		      <td align="left" valign="top" class="inputFieldTitle" colspan="4"><%= res.getString("etComercio")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="CIF" VALUE="<%=sCIF%>" size="15" maxlength="15"/></td>
		      <td align="left" colspan="4"><INPUT class="inputField" TYPE="TEXT" NAME="Comercio" VALUE="<%=sComercio%>" size="50" maxlength="15"/></td>
		    </tr>
		    <tr>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etKm")%></td>
		      <td valign="top" colspan="2" align="left" class="inputFieldTitle"><%= res.getString("etLitros")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etCargoAbono")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etConcepto")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Km" VALUE="<%=sKM%>" onblur="javascript:formatNumero(this);return false;" size="15" maxlength="10"/></td>
		      <td align="left" colspan="2"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Litros" VALUE="<%=sLitros%>" onblur="javascript:formatNumeroDecimal(this,2,2);return false;" size="15" maxlength="5"/></td>
		      <td align="left" align="left">
		        	<select name="Cargo"  class="inputFieldOblig">
		                    <option value="" /> </option>
		                    <option value="C" <% if (cargabon.equals("C")||cargabon.equals("")) { %> selected <% } %>/><%= res.getString("etCargo")%></option>
		                    <option value="A" <% if (cargabon.equals("A")) { %> selected <% } %>/><%= res.getString("etAbono")%></option>
			        </select>
		      </td>
		      <td align="left"><select name="Concepto"  class="inputFieldOblig" VALUE="<%=concepto%>"  >
		                    <option value="" > </option>
		                    <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION,
		        					m05bConstantes.TAB_DESCRIPCIONES,m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_CONCEPTOSGASTOS, m05bConstantes.CPTO_COMBUSTIBLE )%>
		           </select>
		      </td>
		    </tr>
		  </TABLE>
		<!--input type="hidden" name="Matricula" value="<%=matricula%>"-->
<script>
	formatNumeroDecimal(document.formGastos.Importe,8,2);
	document.formGastos.Importe.focus();
	formatNumero(document.formGastos.Km);
	formatNumeroDecimal(document.formGastos.Litros,2,2);

   //Atencion: IMPORTANTE -> Si el dia de mañana se modifica el script de EJIE, habrá que retocarlo
   //http://desant01.jakina/utilEjie/scripts/p01calendar.js 
   //Se pone la funcion returnCalendar para sobreescribirla y poner el cursor sobre el campo de texto
   /** Oculta una ventana popUp */

   function returnCalendar(calendarIndex,year,month,day) { 
		//Lo que yá estaba de ejie:
		var thisCalendar = window.calendarInstances[calendarIndex];
		if (thisCalendar == null) thisCalendar = window.opener.calendarInstances[calendarIndex];
		if (thisCalendar.oInputField == null) {
			var msge = dameAlerta(idioma, 204);
			msge = msge.replace("replace1",day);
			msge = msge.replace("replace2",month);
			msge = msge.replace("replace3",year);
			alert(msge);
		} else {
			var oInput;
			if (thisCalendar.oCalendarWindow.type == "WINDOW") {
				oInput = thisCalendar.oInputField;
			} else {
				oInput = document.all(thisCalendar.oInputField.name);
			}
			oInput.value = day + '/' + month + '/' + year;
		}
		thisCalendar.oCalendarWindow.hidePopUp();
		//Lo nuevo:
		if(oInput.name=="FecDen")
			fncBuscarAsignadoDni(document.formSanciones.FecDen.value,document.formSanciones.HorDen.value);
		formatearFecha(oInput);
	} 
</script>		
</FORM>
</BODY>
</HTML>